cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/alert_responsibility/ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"alert_responsibility": {
"description": "Alerts about failed billing and refunds.",
"status": "inactive"
}
}'from exsited import build_client
client = build_client()
response = client.alert_responsibility.update_alert_responsibility(
"ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b",
{
"alert_responsibility": {
"description": "Alerts about failed billing and refunds.",
"status": "inactive",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.alertResponsibility.updateAlertResponsibility('ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b', {
alert_responsibility: {description: 'Alerts about failed billing and refunds.', status: 'inactive'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->alertResponsibility->updateAlertResponsibility(
'ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b',
[
'alert_responsibility' => [
'description' => 'Alerts about failed billing and refunds.',
'status' => 'inactive',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.alert_responsibility.alert_responsibility_dto.AlertResponsibilityDto;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<AlertResponsibilityDto.AlertResponsibility> response = client.alertResponsibility().updateAlertResponsibility(
"ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b",
Map.of(
"alert_responsibility", Map.of(
"description", "Alerts about failed billing and refunds.",
"status", "inactive")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AlertResponsibility.UpdateAlertResponsibilityAsync(
"ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b",
new Dictionary<string, object?>
{
["alert_responsibility"] = new Dictionary<string, object?>
{
["description"] = "Alerts about failed billing and refunds.",
["status"] = "inactive",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.alertResponsibility.updateAlertResponsibility(
'ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b',
{
'alert_responsibility': {
'description': 'Alerts about failed billing and refunds.',
'status': 'inactive',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AlertResponsibility().UpdateAlertResponsibility(context.Background(), "ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b", map[string]any{
"alert_responsibility": map[string]any{
"description": "Alerts about failed billing and refunds.",
"status": "inactive",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"alert_responsibility": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"href": "<string>",
"activity_logs": [
{}
]
}
}Alert responsibilities
Update an alert responsibility
Changes an alert responsibility and returns it.
PATCH
/
alert_responsibility
/
{alert_responsibility_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/alert_responsibility/ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"alert_responsibility": {
"description": "Alerts about failed billing and refunds.",
"status": "inactive"
}
}'from exsited import build_client
client = build_client()
response = client.alert_responsibility.update_alert_responsibility(
"ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b",
{
"alert_responsibility": {
"description": "Alerts about failed billing and refunds.",
"status": "inactive",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.alertResponsibility.updateAlertResponsibility('ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b', {
alert_responsibility: {description: 'Alerts about failed billing and refunds.', status: 'inactive'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->alertResponsibility->updateAlertResponsibility(
'ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b',
[
'alert_responsibility' => [
'description' => 'Alerts about failed billing and refunds.',
'status' => 'inactive',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.alert_responsibility.alert_responsibility_dto.AlertResponsibilityDto;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<AlertResponsibilityDto.AlertResponsibility> response = client.alertResponsibility().updateAlertResponsibility(
"ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b",
Map.of(
"alert_responsibility", Map.of(
"description", "Alerts about failed billing and refunds.",
"status", "inactive")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.AlertResponsibility.UpdateAlertResponsibilityAsync(
"ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b",
new Dictionary<string, object?>
{
["alert_responsibility"] = new Dictionary<string, object?>
{
["description"] = "Alerts about failed billing and refunds.",
["status"] = "inactive",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.alertResponsibility.updateAlertResponsibility(
'ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b',
{
'alert_responsibility': {
'description': 'Alerts about failed billing and refunds.',
'status': 'inactive',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.AlertResponsibility().UpdateAlertResponsibility(context.Background(), "ar_3e5a7c9b1d0f4e2a4c6b8d0e2f4a6c8b", map[string]any{
"alert_responsibility": map[string]any{
"description": "Alerts about failed billing and refunds.",
"status": "inactive",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"alert_responsibility": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"created_on": "<string>",
"last_updated_on": "<string>",
"href": "<string>",
"activity_logs": [
{}
]
}
}Send the fields to change wrapped in
alert_responsibility: name, display_name, description, and status, which moves between active and inactive.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The alert responsibility's ar_ id, or its raw uuid.
Body
application/json
The fields to change.
Show child attributes
Show child attributes
Response
200 - application/json
The updated alert responsibility, under alert_responsibility.
Show child attributes
Show child attributes